@import url('https://fonts.googleapis.com/css2?family=Exo:wght@400;500;600;700&display=swap');
@font-face {
    font-family: Pecita;
    src: url('assets/pecita/Pecita.otf');
}
:root {
    --c-grey-background: #f8f8f8;
    --c-grey-placeholder: #959595;
    --c-grey-text: #333;
    --c-grey-reaction: #eee;
    --c-grey-border: #d1d0d0;
    --c-blue-cta: #0d99e8;
    --c-blue-loveIsland: #56d8e5cc;
}

*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    line-height: 1.75;
}

html {
    font-size: 62.5%;
}

body {
    font-size: 1.6rem;
    background-color: var(--c-grey-background);
    font-family: 'Exo', sans-serif;
    background-image: url('assets/Suitcases_banner_1728x.png');
    background-repeat: initial;
    overflow: auto scroll;
    max-width: 100vw;
}

header {
    background-color: var(--c-blue-loveIsland);
    border-radius: 25px;
}
main {
    border-top-right-radius: 25px;
    border-top-left-radius: 25px;
    background-color: #fff;
    width: 65vw;
    min-width: 576px;
    margin: 0 auto;
    max-width: 90vw;
    margin-top: 30px;
}
h1 {
    margin: 0 0 0 5vw;
    font-family: 'Pecita', cursive;
    font-size: 35px;
    color: whitesmoke;
}
a {
    text-decoration: none;
    color: var(--c-grey-text);
}

a:visited {
    color: var(--c-grey-text);
}

/* === POST SECTION & REPLY SECTION === */

.post,
.reply {
    background-color: var(--c-grey-background);
    margin: 10px 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 5px;
}

.post__content {
    display: flex;
    flex-direction: column;
    width: 80%;
}

.post__text,
.reply__text {
    font-family: 'Exo', sans-serif;
    font-size: 1.6rem;
    font-weight: 500;
    background-color: transparent;
    height: 5rem;
    width: 100%;
    margin-top: 30px;
    margin-bottom: 10px;
    border: none;
    color: var(--c-grey-text);
    resize: none;
    outline: transparent;
}

.post__text::placeholder,
.reply__text::placeholder {
    color: var(--c-grey-placeholder);
}

.post__actions,
.reply__actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 80%;
    margin: 10px auto 20px;
}

.post__actions > a > img {
    width: 35px;
}

.post__characters {
    color: var(--c-grey-placeholder);
    font-size: 1.4rem;
    font-weight: 500;
}

.post__btn {
    font-family: 'Exo', sans-serif;
    font-size: 1.7rem;
    font-weight: 500;
    background-color: var(--c-blue-loveIsland);
    color: var(--c-grey-background);
    border: none;
    border-radius: 40px;
    padding: 5px 20px;
    cursor: pointer;
}

.post#posts-container {
    margin-top: 30px;
    background-color: transparent;
}

.individual-post {
    margin-bottom: 20px;
    padding: 20px;
    background-color: var(--c-grey-background);
    width: 100%;
    border-radius: 5px;
}

.individual-post div:first-child {
    margin: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

.individual-post .message {
    text-align: center;
    margin-top: 50px;
}

.individual-post .timestamp {
    position: absolute;
    top: 0;
    right: 20px;
    color: var(--c-grey-placeholder);
    font-size: 1.4rem;
}

.individual-post img {
    margin: 20px auto;
    border-radius: 5px;
}

.individual-post .reactions {
    margin-top: 0;
}

/* === EMOJI BUTTONS === */
.reactions {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 80%;
    margin: 10px auto 20px;
}

.reaction__btn,
#reply__btn {
    float: left;
    width: 45px;
    height: 45px;
    align-items: center;
    border: none;
    background-color: whitesmoke;
    border-radius: 100%;
    transition: all 0.2s ease-in;
}

.reactions span {
    margin-left: 10px;
}

#output {
    font-family: 'Open Sans', sans-serif;
    font-size: 10pt;
    font-weight: bold;
    color: var(--c-grey-text);
    margin-right: 7px;
    margin-left: 7px;
    float: right;
    align-content: center;
}

.reaction__btn:hover,
#reply__btn:hover {
    background-color: rgba(255, 54, 160, 0.4);
    transform: scale(1.1);
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.reply-search {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(77, 77, 77, 0.6);
    transition: all 0.4s;
    visibility: hidden;
    opacity: 0;
}
.reply-search:target {
    visibility: visible;
    opacity: 1;
}

#reply__container {
    position: relative;
    width: 40%;
    height: 80vh;
    background-color: var(--c-grey-background);
    padding: 3rem;
    border-radius: 10px;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.reply-search__text {
    font-family: 'Exo', sans-serif;
    font-size: 1.5rem;
    font-weight: 500;
    width: 90%;
    height: 30%;
    padding: 20px;
    margin: 20px 0;
    background-color: white;
    border: none;
    border-radius: 5px;
    outline: transparent;
    overflow: scroll;
    resize: none;
}

#reply__container .modal__close {
    position: absolute;
    top: 10px;
    right: 20px;
}

#reply__container .close__comments {
    padding: 2px 20px;
    border-radius: 40px;
    background-color: #49bbc5cc;
    color: white;
    transition: all 0.3s;
}

#reply__container .close__comments:hover {
    background-color: var(--c-blue-loveIsland);
}

.reply__results {
    padding: 30px;
    width: 100%;
}

.comment__container {
    margin-bottom: 20px;
    width: 100%;
}

.comment__timestamp {
    color: var(--c-grey-placeholder);
    font-size: 1.3rem;
    margin-bottom: 5px;
}

/* === GIPHY MODAL === */

.giphy-search {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(77, 77, 77, 0.6);
    transition: all 0.4s;
    visibility: hidden;
    opacity: 0;
}

.giphy-search:target {
    visibility: visible;
    opacity: 1;
}

.giphy-search__form {
    width: 40%;
    height: max-content;
    background-color: var(--c-grey-background);
    padding: 3rem 3rem 4rem;
    border-radius: 10px;
    overflow: auto scroll;
}

.giphy-search__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.giphy-search__container > input {
    font-family: 'Exo', sans-serif;
    font-size: 1.5rem;
    font-weight: 500;
    width: 90%;
    padding: 10px 20px;
    border-radius: 50px;
    border: none;
    outline: transparent;
}

.giphy-search__container > input::placeholder {
    color: var(--c-grey-placeholder);
}

.modal__close {
    color: var(--c-grey-text);
    text-decoration: none;
    font-family: sans-serif;
    font-size: 48px;
    font-weight: 600;
}

.giphy-search__results {
    display: flex;
    justify-content: center;
}

.giphy-search__results > img {
    margin-top: 10px;
    width: 300px;
}

/* FOOTER */

footer {
    background-color: rgba(163, 255, 54, 0.5);
    font-family: 'Pecita', cursive;
    color: var(--c-grey-text);
}
footer > p {
    display: flex;
    justify-content: space-evenly;
}
.footer__container {
    bottom: 8px;
    left: 16px;
    justify-content: space-evenly;
}
